package com.sun.corba.se.impl.orb;

import java.util.Properties;
import com.sun.corba.se.spi.orb.PropertyParser;
import com.sun.corba.se.spi.orb.Operation;
import com.sun.corba.se.spi.orb.StringPair;

public class PrefixParserData extends ParserDataBase
{
    private StringPair[] testData;
    private Class componentType;
    
    public PrefixParserData(String s, Operation operation, String s2, Object o, Object o2, StringPair[] testData, Class componentType) {
        super(s, operation, s2, o, o2);
        this.testData = testData;
        this.componentType = componentType;
    }
    
    public void addToParser(PropertyParser propertyParser) {
        propertyParser.addPrefix(this.getPropertyName(), this.getOperation(), this.getFieldName(), this.componentType);
    }
    
    public void addToProperties(Properties properties) {
        for (int i = 0; i < this.testData.length; ++i) {
            StringPair stringPair = this.testData[i];
            String s = this.getPropertyName();
            if (s.charAt(s.length() - 1) != '.') {
                s += ".";
            }
            properties.setProperty(s + stringPair.getFirst(), stringPair.getSecond());
        }
    }
}
